Bug 296991 - unresolvable xml warning on doc install
unresolvable xml warning on doc install
Product: Fedora
Classification: Fedora
Component: gnash (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
: 297641 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-09-19 17:27 EDT by Jack Tanner
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.8.1-5.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-03 17:17:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jack Tanner 2007-09-19 17:27:30 EDT
Description of problem:
$ yum install gnash
I/O warning : failed to load external entity
/usr/share/gnash/doc/gnash/C/gnash.xml:60: parser error : Failure to process
entity writers
/usr/share/gnash/doc/gnash/C/gnash.xml:60: parser error : Entity 'writers' not

(plus a ton of similar warnings)

Version-Release number of selected component (if applicable):

I suppose this could also be a yum bug. Why is it trying to interpret a
package's documentation, even if that file is XML? Shouldn't it just stay
silent? For reference, this is yum-3.2.5-1.fc7
Comment 1 Patrice Dumas 2007-09-20 04:38:24 EDT
yum just run the post install scriptlet, as it should. Issue is that
it is not quiet, and also the help system in xml (to be seen in yelp,
for example) is fully broken. I'll have a look at it.
Comment 2 Alex Lancaster 2007-09-20 06:19:46 EDT
*** Bug 297641 has been marked as a duplicate of this bug. ***
Comment 3 Alex Lancaster 2007-09-20 06:23:06 EDT
Sorry for the dupe, but the problem seems to be simply that the appropriate XML
files are missing from the package:

Note that the following (and more) are missing from the list


$ rpm -ql gnash
Comment 4 Patrice Dumas 2007-09-20 07:14:14 EDT
It is in fact more broken than that since additionally 
the omf files are wrong. I'll work upstream to fix omf/scrollkeeper
doc handling, in the mean time I will disable omf docs. 
The html doc should be generated right in the build I am testing,
and the documentation should be better anyway.
Comment 5 Patrice Dumas 2007-09-21 02:43:08 EDT
It is in testing now.
Comment 6 Fedora Update System 2007-09-25 04:24:51 EDT
gnash-0.8.1-5.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Alex Lancaster 2007-10-02 20:43:55 EDT
updates-testing version works for me.  Feel free to push to stable.
Comment 8 Fedora Update System 2007-10-03 17:17:09 EDT
gnash-0.8.1-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.